import { TableCell as TableCellOriginal } from '@tiptap/extension-table-cell';

export const CustomTableCell = TableCellOriginal.extend({
  content: 'inline*',
  parseHTML() {
    return [
      { tag: 'td' },
    ];
  },
  renderHTML({ HTMLAttributes }) {
    return ['td', HTMLAttributes, 0];
  },
});

import { TableHeader as TableHeaderOriginal } from '@tiptap/extension-table-header';

export const CustomTableHeader = TableHeaderOriginal.extend({
  content: 'inline*',
  parseHTML() {
    return [
      { tag: 'th' },
    ];
  },
  renderHTML({ HTMLAttributes }) {
    return ['th', HTMLAttributes, 0];
  },
});